Index: main/trunk/greenstone3/web/interfaces/oran/js/berrybasket.js
===================================================================
--- main/trunk/greenstone3/web/interfaces/oran/js/berrybasket.js	(revision 23809)
+++ main/trunk/greenstone3/web/interfaces/oran/js/berrybasket.js	(revision 23813)
@@ -59,5 +59,5 @@
 		// they are set to be invisible to prevent flickering when first loaded (see berry.css)
 
-		var berries = $('img');
+		var berries = document.getElementsByTagName('img');
 		var berrybasket = new YAHOO.util.DDTarget('berrybasket','basket');
 
@@ -87,4 +87,5 @@
 
 	var responseFailure = function(o){
+		alert("CHECKOUT FAILED");
 //alert( arguments.callee );
 	}
@@ -165,12 +166,8 @@
 	var basketHandle = YAHOO.util.Dom.get('baskethandle');
 	var berries = YAHOO.util.Dom.get('berries');
-	var div = document.createElement('div');
-	var list = document.createElement('ol');
 	var width = 500;
 	var height = 40;
 	var i=0;
 
-	list.id = 'doclist';
-
 	//remove berryImages in the berry basket
 	while (berries.hasChildNodes()) {
@@ -180,12 +177,20 @@
 		basketHandle.removeChild(basketHandle.firstChild);
 	}
+	
+	var div = document.createElement('div');
+	berries.appendChild(div);
+	var list = document.createElement('ol');
+	div.appendChild(list);
+	
+	list.id = 'doclist';
 
 	//put the berries in
-	for (i in berryList){
+	for (i; i < berryList.length; i++){
 		var berryItem = berryList[i];
 		var berryElement = document.createElement('li');
+		list.appendChild(berryElement);
 		var title = berryItem.getAttribute('title');
 		var root_title = berryItem.getAttribute('root_title');
-		var id = berryItem.getAttribute('collection')+":"+berryItem.getAttribute('name');
+		//var id = berryItem.getAttribute('collection')+":"+berryItem.getAttribute('name');
 
 		if (root_title != ""){
@@ -197,9 +202,9 @@
 			title = title.substring(0,20)+" ... "+title.substr(title.length-35,35);
 		}
-
-		berryElement.appendChild(document.createTextNode(title));
+		
 		berryElement.setAttribute("class","berryitem");
-		list.appendChild(berryElement);
-		height +=18;
+		berryElement.setAttribute("title",title);
+		berryElement.innerHTML = title;
+		height +=40;
 	}
 
@@ -207,20 +212,32 @@
 	oldWidth = berryBasket.style.width;
 	oldBg = berryBasket.style.background;
-	berryBasket.style.height = height;
-	berryBasket.style.width = width;
+	//berryBasket.style.height = height;
+	//berryBasket.style.width = width;
 	berryBasket.style.background ='url("interfaces/default/images/kete2.png") 0 0 repeat';
 	berryBasket.style.cursor = "default";
 	berryBasket.className = "show";
-	div.appendChild(list);
-	berries.appendChild(div);
-	berries.style.height = height - 40;
+	//berries.style.height = height - 40;
 
 	//put the full view link in
 	var fullView = document.createElement('a');
 	berries.appendChild(fullView);
+	
+	//Find the collection in the cgi parameters
+	var url = window.location.href;
+	var colstart = url.indexOf("&c=");
+	var collectionName = "";
+	if (colstart != -1)
+	{
+		var colend = url.indexOf("&", (colstart + 1));
+		if (colend == -1)
+		{
+			colend = url.length - 1;
+		}
+		collectionName = url.substring(colstart + 3, colend);
+	}
+	
 	fullView.appendChild(document.createTextNode('Full View Â»'));
-	fullView.setAttribute("href","?a=g&sa=berry&c=&s=DisplayList&rt=r");
+	fullView.setAttribute("href","?a=g&sa=berry&c=&s=DisplayList&rt=r&p.c=" + collectionName);
 	fullView.setAttribute("id","berryFullViewLink");
-
 
 	//toggle expand/collapse links
Index: main/trunk/greenstone3/web/interfaces/oran/js/berrycheckout.js
===================================================================
--- main/trunk/greenstone3/web/interfaces/oran/js/berrycheckout.js	(revision 23809)
+++ main/trunk/greenstone3/web/interfaces/oran/js/berrycheckout.js	(revision 23813)
@@ -15,6 +15,6 @@
 
 function navigate(e){
-
-	var target = e.target;
+	
+	var target = this;
 
 	if ( target.id.toLowerCase() == '' ) {
@@ -46,4 +46,7 @@
 		var parea =YAHOO.util.Dom.get('pretextarea');
 		urlonly = false;
+		
+		this.value='URL only view';
+		
 		populateUrlsAndMetadata(parea);
 		return;
@@ -56,4 +59,7 @@
 		populateUrls(parea);
 		urlonly = true;
+		
+		this.value='URL and Metadata view';
+		
 		return;
 	}
@@ -91,4 +97,14 @@
 }
 
+function pageLoad(){
+	for(var j = 0; j < options.length; j++)
+	{
+		var ele = document.getElementById(options[j]);
+		YAHOO.util.Event.addListener(ele, 'click', navigate);
+	}
+	
+	showFullView();
+}
+
 function showFullView(){
 
@@ -101,5 +117,4 @@
 		return;
 	}
-
 
 	var trashbin = document.createElement('div');
@@ -277,7 +292,7 @@
 	input.setAttribute("value", "send");
 	content.appendChild(input);
-
-}
-
+	
+	YAHOO.util.Event.addListener(input, 'click', navigate);
+}
 
 function buildPreview(parent){
@@ -285,6 +300,18 @@
 	var div = document.createElement('div');
 	var cb = document.createElement('input');
-	cb.type = 'checkbox';
-
+	cb.setAttribute('class', 'sendbutton');
+	cb.type = 'button';
+	cb.id = 'urlcheck';
+	if (urlonly)
+	{
+		cb.value='URL and Metadata view';
+	}
+	else
+	{
+		cb.value='URL only view';
+	}
+
+	YAHOO.util.Event.addListener(cb, 'click', navigate);
+	
 	var img = document.createElement('img');
 	img.src = 'interfaces/default/images/check3.gif';
@@ -296,5 +323,5 @@
 	urls.id = 'urls';
 	urls.className = 'berrycheck';
-	urls.appendChild(document.createTextNode('URL only'));
+	//urls.appendChild(document.createTextNode('URL only'));
 	div.appendChild(urls);
 
@@ -312,7 +339,12 @@
 	parent.appendChild(parea);
 
-	populateUrlsAndMetadata(parea);
-
-
+	if(urlonly)
+	{
+		populateUrls(parea);
+	}
+	else
+	{
+		populateUrlsAndMetadata(parea);
+	}
 }
 
@@ -406,6 +438,5 @@
 }
 
-YAHOO.util.Event.addListener(window,'click', navigate);
-YAHOO.util.Event.addListener(window,'load', showFullView);
-
-
+YAHOO.util.Event.addListener(window,'load', pageLoad);
+
+
Index: main/trunk/greenstone3/web/interfaces/oran/transform/layouts/main.xsl
===================================================================
--- main/trunk/greenstone3/web/interfaces/oran/transform/layouts/main.xsl	(revision 23809)
+++ main/trunk/greenstone3/web/interfaces/oran/transform/layouts/main.xsl	(revision 23813)
@@ -15,4 +15,7 @@
 	exclude-result-prefixes="util java util">
 
+	<xsl:include href="header.xsl"/>
+	<!--<xsl:include href="formatmanager.xsl"/>-->
+	
 	<xsl:include href="xml-to-gui.xsl"/>
 	<xsl:include href="xml-to-gui-templates.xsl"/>
@@ -33,15 +36,6 @@
 
 			<head>
-				<title><xsl:call-template name="pageTitle"/> :: <xsl:call-template name="siteName"/></title>
-				<link rel="stylesheet" href="interfaces/{$interface_name}/style/core.css" type="text/css"/>
-				<!-- <script type="text/javascript" src="interfaces/oran/js/jquery.js"><xsl:text> </xsl:text></script> --> 
-                <script type="text/javascript" src="interfaces/oran/js/jquery-1.4.2.js"><xsl:text> </xsl:text></script>
-                <!-- <script type="text/javascript" src="interfaces/oran/js/jquery-ui-1.8.2.custom.min.js"><xsl:text> </xsl:text></script> -->
-                <script type="text/javascript" src="interfaces/oran/js/jquery-ui-1.8rc1/ui/jquery-ui.js"><xsl:text> </xsl:text></script>
-                <script type="text/javascript" src="interfaces/oran/js/jquery.selectboxes.js"><xsl:text> </xsl:text></script>
-                <!-- <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.5/jquery-ui.js"><xsl:text> </xsl:text></script> -->
-                <!-- <script type="text/javascript" src="http://code.jquery.com/jquery-1.4.2.min.js"><xsl:text> </xsl:text></script> -->
-                <!-- <script type="text/javascript" src="interfaces/oran/js/jquery-ui-1.8rc1/jquery-1.4.1.js"><xsl:text> </xsl:text></script> -->
-
+				<!-- ***** in header.xsl ***** -->
+				<xsl:call-template name="create-html-header"/>
 				<xsl:call-template name="berryBasketHeadTags"/>
 			</head>
@@ -51,206 +45,15 @@
 				<xsl:call-template name="displayErrorsIfAny"/>
 
-				<div id="container"><div id="container2"><div id="container3"><div id="container4">
+				<div id="container">
 
 					<div id="gs_banner">
 
-						<!-- show the title -->
-						<div id="breadcrumbs"><xsl:call-template name="breadcrumbs"/><xsl:text> </xsl:text></div>
-						<h2><xsl:call-template name="pageTitle"/></h2>
-
-						<xsl:if test="/page/pageResponse/collection">
-							<!-- show home, help, preferences links -->
-							<ul id="bannerLinks">
-
-								<!-- preferences -->
-								<li>
-									<a href="{$library_name}?a=p&amp;amp;sa=pref&amp;amp;c={$collName}">
-										<xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_tip')"/></xsl:attribute>
-										<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_b')"/>
-									</a>
-								</li>
-
-								<!-- help -->
-								<li>
-									<a href="{$library_name}?a=p&amp;amp;sa=help&amp;amp;c={$collName}">
-										<xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_tip')"/></xsl:attribute>
-										<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_b')"/>
-									</a>
-								</li>
-
-								<li>
-									<a href="{$library_name}?a=p&amp;amp;sa=home">
-										<xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_tip')"/></xsl:attribute>
-										<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_b')"/>
-									</a>
-								</li>
-
-							</ul>
-						</xsl:if>
-
-						<!-- show the available 'services' (browse, search, etc.) -->
-						<xsl:if test="/page/pageResponse/collection/serviceList/service">
-							<ul id="nav">
-								<!-- show browse service, if it exists -->
-								<xsl:if test="/page/pageResponse/collection/serviceList/service[@type='browse']">
-									<xsl:for-each select="/page/pageResponse/collection/serviceList/service[@type='browse']">
-										<xsl:call-template name="navigationTab"/>
-									</xsl:for-each>
-								</xsl:if>
-
-								<!-- show search services (collapsed) if they exist -->
-								<xsl:if test="/page/pageResponse/collection/serviceList/service[@type='query']">
-									<xsl:for-each select="/page/pageResponse/collection/serviceList">
-
-										<!--
-											using collapsedNavigationTab instead of navigationTab collapses
-											all the services of the given type onto one tab
-										-->
-										<xsl:call-template name="collapsedNavigationTab">
-											<xsl:with-param name="type">query</xsl:with-param>
-										</xsl:call-template>
-									</xsl:for-each>
-								</xsl:if>
-
-								<!-- all other services -->
-								<xsl:for-each select="/page/pageResponse/collection/serviceList/service[not(@type='query') and not(@type='browse')]">
-									<xsl:call-template name="navigationTab"/>
-								</xsl:for-each>
-
-							</ul>
-						</xsl:if>
+						<!-- ***** in header.xsl ***** -->
+						<xsl:call-template name="create-banner"/>
 
 					</div>
+					
+					<!--<xsl:call-template name="formatmanagerpre"/>-->
 
-<!-- *************************************************************************************** -->
-
-    <!-- <xsl:variable name="foo"> -->
-    <!-- <xsl:value-of select="/page/pageRequest/paramList[@name='formatedit']"/> -->
-
-    <xsl:if test="/page/pageRequest/paramList/param[(@name='formatedit') and (@value='1')]">
-
-<!-- Sam2's div code -->
-
-    <script type="text/javascript" src="interfaces/oran/js/innerxhtml.js"><xsl:text> </xsl:text></script>
-    <script type="text/javascript" src="interfaces/oran/js/gui_div.js"><xsl:text> </xsl:text></script>
-   
-    <xsl:call-template name="xml-to-gui-templates">
-        <xsl:with-param name="node-set" select="test"/>
-        <xsl:with-param name="metadataSets" select="//metadataSetList"/>
-    </xsl:call-template>
-
-    <xsl:variable name="fmt1">
-        <xsl:call-template name="xml-to-string">
-            <xsl:with-param name="node-set" select="//format[@type='browse']"/>
-          </xsl:call-template>
-    </xsl:variable>
-
-    <xsl:variable name="meta">
-        <xsl:call-template name="xml-to-string">
-            <xsl:with-param name="node-set" select="//metadataSetList"/>
-          </xsl:call-template>
-    </xsl:variable>
-
-    <style type="text/css">
-        .placeholder{margin-left: 10px; border: dashed 1px #ccc; background-color:#FFFFCC; height:20px; }
-
-        .placeholder_td{margin-left: 10px; border: dashed 1px #ccc; background-color:#FFFFCC; width:20px; }
-
-        .header { background-color: #AFCCAF; border: solid 1px #117711; padding: 5px; padding-left: 10px;}
-
-        .resizable { width: 150px; height: 150px; padding: 0.5em; } 
-        
-        .block { margin-left: 15px; border-left: dashed 1px black;}
-
-        .droppable { background-color: #99dd99;}
-        .droppable_hl { border: dashed 1px #ccc; background-color:#FFFFCC; }
-
-        <!-- .gsf_metadata { border: solid 2px #0000BB; background-color: #440077; } -->
-
-        <!-- .gsf_choose_metadata { border: solid 1px #000000; background-color: #223344; } -->
-    </style>
-
-    <link rel="stylesheet" type="text/css" href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.7.1/themes/base/jquery-ui.css"/> 
-
-    <table width="100%" border="1"> 
-
-    <td width="75%">
-
-    <button id="updateFormatStatement" type="button" onclick="updateFormatStatement()">Update Format Statement</button>
-    <button id="saveFormatStatement" type="button" onclick="saveFormatStatement()">Save Format Statement</button>
-
-    <div id="formatStatement">
-        <div id="formatRoot">
-    
-    <xsl:call-template name="xml-to-gui">
-        <xsl:with-param name="node-set" select="//format"/> <!-- [@type='browse']"/>  -->
-        <xsl:with-param name="metadataSets" select="//metadataSetList"/> 
-    </xsl:call-template> 
-        </div>
-    </div>
-    </td>    
-
-
-    <td width="25%" valign="top">
-        <h2> Elements to add </h2>
-        <!-- <div class="header element_type_gsf_template css_gsf_template" title="gsf:template">TEMPLATE</div> -->
-        <div class="draggable_gsf_template css_gsf_template block" title="gsf:template"><table class="header"><tbody><tr><td class="header">MATCH=<input type="text" name="rawtextinput" size="10"/></td><td><a href="#" class="minmax ui-icon ui-icon-minusthick">[-]</a></td><td><a href="#" class="remove ui-icon ui-icon-closethick">[x]</a></td></tr></tbody></table><table border="1"><tr class="tr"><td class="droppable" width="10px"></td></tr></table></div><br/>
-
-        <div class="draggable_gsf_choose_metadata css_gsf_choose_metadata block" title="gsf:choose-metadata"><table class="header"><tbody><tr><td class="header">CHOOSE</td><td class="header"><a href="#" class="minmax ui-icon ui-icon-minusthick" title="Click me to expand">[-]</a></td><td class="header"><a href="#" class="remove ui-icon ui-icon-closethick" title="Click me to remove"/></td></tr></tbody></table></div>
-
-        <div class="draggable_gsf_metadata css_gsf_metadata block" title="gsf:metadata"><table class="header"><tbody><tr><td class="header"><xsl:call-template name="meta-to-combo">
-                        <xsl:with-param name="metadataSets" select="//metadataSetList"/>
-                        <xsl:with-param name="current" select="ex.Title"/>
-                     </xsl:call-template></td><td class="header"><a href="#" class="remove ui-icon ui-icon-closethick" title="Click me to remove"/></td></tr></tbody></table></div>
-
-        <div class="draggable_gsf_link css_gsf_link block" title="gsf:link"><table class="header"><tbody><tr><td class="header">LINK<select>
-                            <option value = "document" selected = "document">Document</option>
-                            <option value = "classifier">Classifier</option>
-                            <option value = "source">Source</option>
-                            <option value = "horizontal">Horizontal</option>
-                </select></td><td><a href="#" class="minmax ui-icon ui-icon-minusthick">[-]</a></td><td><a href="#" class="remove ui-icon ui-icon-closethick">[x]</a></td></tr></tbody></table></div>
-
-        <div class="draggable_gsf_switch css_gsf_switch block" title="gsf:switch"><table class="header"><tbody><tr><td class="header">SWITCH</td><td><a href="#" class="minmax ui-icon ui-icon-minusthick">[-]</a></td><td><a href="#" class="remove ui-icon ui-icon-closethick">[x]</a></td></tr></tbody></table></div>
-
-        <div class="draggable_gsf_when css_gsf_when block" title="gsf:when"><table class="header"><tbody><tr><td class="header">WHEN<xsl:value-of select="@test"/></td><td class="header"><a href="#" class="minmax ui-icon ui-icon-minusthick">[-]</a></td><td class="header"><a href="[myhref]" class="ui-icon ui-icon-closethick"/></td></tr></tbody></table></div>
-
-        <div class="draggable_gsf_otherwise css_gsf_otherwise block" title="gsf:otherwise"><table class="header"><tbody><tr><td class="header">OTHERWISE</td><td class="header"><a href="#" class="minmax ui-icon ui-icon-minusthick">[-]</a></td><td><a href="#" class="ui-icon ui-icon-closethick"/></td></tr></tbody></table></div>
-
-        <div class="draggable_gsf_icon css_gsf_icon block" title="gsf:icon"><table class="header"><tbody><tr><td class="header">ICON<select><option value = "document" selected = "document">Document</option><option value = "classifier">Classifier</option><option value = "source">Source</option></select></td><td><a href="#" class="remove ui-icon ui-icon-closethick">[x]</a></td></tr></tbody></table></div>
-        <br/>
-        <div class="draggable_gsf_text css_text" title="text"><table class="header"><tbody><tr><td class="header"><input type="text" name="rawtextinput" size="10" value=""/></td><td class="header"><a href="[myhref]" class="ui-icon ui-icon-closethick"/></td></tr></tbody></table></div>
-        <div class="draggable_table css_table" title="gsf:table">NEW TABLE</div>
-        <div class="draggable_tr css_tr" title="gsf:row">NEW TABLE ROW</div>
-        <div class="draggable_td css_td" title="gsf:column">NEW TABLE COLUMN</div>
-
-    </td>
-    </table>
-
-    <!--
-    <div id="format">
-        <p>
-          <b>Format string here</b>
-          <i>
-              <xsl:value-of select="$fmt1"/>
-          </i>
-        </p>
-    </div> -->
-    <!--    <p>
-          <i>
-              <xsl:value-of select="$meta"/>
-          </i>
-        </p>
-      </div> -->
-      </xsl:if>
-
-<!-- *************************************************************************************** -->
-<!--<H2>Preview</H2>
-
-                    <div id="my_categories"><xsl:text> </xsl:text></div>
-
-                    <iframe name="preview" id="iframe" width="98%" height="300">Your browser does not support iframes</iframe> 
-
-                    <xsl:variable name="preview"> -->
-                    <!-- <button type="button" onclick="loadXMLDoc()">Change Content</button> -->
 					<div id="gs_content">
 						<!--
@@ -261,13 +64,6 @@
 
 					</div>
-   <!--                 </xsl:variable>
-
-                    <script type="text/javascript">
-                        preview_html = <xsl:text disable-output-escaping="yes">'</xsl:text><xsl:copy-of select="$preview"/><xsl:text disable-output-escaping="yes">';</xsl:text>
-                    </script>
-
-                    <div id="result">
-                    Here
-                    </div>-->
+					
+					<!--<xsl:call-template name="formatmanagerpost"/>-->
 
 					<div id="gs_footer">
@@ -280,10 +76,9 @@
 					<div class="corner" id="cornerBottomRight"><xsl:text> </xsl:text></div>
 
-				</div></div></div></div>
+				</div>
 
 			</body>
 		</html>
 	</xsl:template>
-
 </xsl:stylesheet>
 
Index: main/trunk/greenstone3/web/interfaces/oran/transform/pages/berry.xsl
===================================================================
--- main/trunk/greenstone3/web/interfaces/oran/transform/pages/berry.xsl	(revision 23809)
+++ main/trunk/greenstone3/web/interfaces/oran/transform/pages/berry.xsl	(revision 23813)
@@ -10,10 +10,10 @@
 	<!-- use the 'main' layout -->
 	<xsl:include href="layouts/main.xsl"/>
-
+	
 	<!-- set page title -->
 	<xsl:template name="pageTitle"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.berrybasket')"/></xsl:template>
 
 	<!-- set page breadcrumbs -->
-	<xsl:template name="breadcrumbs"><gslib:siteLink/><gslib:rightArrow/></xsl:template>
+	<xsl:template name="breadcrumbs"><gslib:siteLink/><gslib:rightArrow/> <gslib:collectionNameLinked/><gslib:rightArrow/></xsl:template>
 
 	<!-- the page content -->
@@ -24,16 +24,16 @@
 			var doc;
 			var docList = new Array();
-			<xsl:for-each select="/page/pageResponse/collection/item">
-				<xsl:text disable-output-escaping="yes">
-			doc = new Array();</xsl:text>
+			<xsl:for-each select="/page/pageResponse/berryList/item">
+				<xsl:text disable-output-escaping="yes">doc = new Array();</xsl:text>
 				<xsl:for-each select="@*">
-					<xsl:text disable-output-escaping="yes">
-			doc["</xsl:text><xsl:value-of select="name()" /><xsl:text disable-output-escaping="yes">"]='</xsl:text><xsl:value-of select="." /><xsl:text disable-output-escaping="yes">';</xsl:text>
+					<xsl:text disable-output-escaping="yes">doc["</xsl:text>
+					<xsl:value-of select="name()" />
+					<xsl:text disable-output-escaping="yes">"]='</xsl:text>
+					<xsl:value-of select="." />
+					<xsl:text disable-output-escaping="yes">';</xsl:text>
 				</xsl:for-each>
-				<xsl:text disable-output-escaping="yes">
-			docList[</xsl:text>
+				<xsl:text disable-output-escaping="yes">docList[</xsl:text>
 				<xsl:value-of select="position()-1"/>
-				<xsl:text>] = doc;
-</xsl:text>
+				<xsl:text>] = doc;</xsl:text>
 			</xsl:for-each>
 		</script>
Index: main/trunk/greenstone3/web/interfaces/oran/transform/pages/classifier.xsl
===================================================================
--- main/trunk/greenstone3/web/interfaces/oran/transform/pages/classifier.xsl	(revision 23809)
+++ main/trunk/greenstone3/web/interfaces/oran/transform/pages/classifier.xsl	(revision 23813)
@@ -21,5 +21,5 @@
 
 		<!-- show the classifiers if more than one (title, subject, etc.) -->
-		<xsl:if test="service/classifierList/classifier[2]">
+		<!--<xsl:if test="service/classifierList/classifier[2]">
 			<div id="classifierList" class="navList">
 				<ul>
@@ -30,12 +30,14 @@
 				<div class="clear"><xsl:text> </xsl:text></div>
 			</div>
-		</xsl:if>
+		</xsl:if>-->
 
 		<!-- this right sidebar -->
-		<div id="rightSidebar">
-			<!-- show the berry basket if it's turned on -->
-			<gslib:berryBasket/>
-			<xsl:text> </xsl:text>
-		</div>
+		<xsl:if test="$berryBasketOn">
+			<div id="rightSidebar">
+				<!-- show the berry basket if it's turned on -->
+				<gslib:berryBasket/>
+				<xsl:text> </xsl:text>
+			</div>
+		</xsl:if>
 	
 		<!--
Index: main/trunk/greenstone3/web/interfaces/oran/transform/pages/document.xsl
===================================================================
--- main/trunk/greenstone3/web/interfaces/oran/transform/pages/document.xsl	(revision 23809)
+++ main/trunk/greenstone3/web/interfaces/oran/transform/pages/document.xsl	(revision 23813)
@@ -19,5 +19,17 @@
 
 	<!-- set page breadcrumbs -->
-	<xsl:template name="breadcrumbs"><gslib:siteLink/><gslib:rightArrow/></xsl:template>
+	<xsl:template name="breadcrumbs">
+		<gslib:siteLink/><gslib:rightArrow/> 
+		<gslib:collectionNameLinked/><gslib:rightArrow/> 
+		<a>
+			<xsl:attribute name="href">
+				<xsl:value-of select="$library_name"/>?a=d&amp;c=<xsl:value-of select="$collName"/>&amp;d=<xsl:value-of select="/page/pageResponse/document/documentNode[1]/@nodeID"/>&amp;dt=<xsl:value-of select="/page/pageResponse/document/documentNode/@docType"/>&amp;p.a=b&amp;p.s=<xsl:value-of select="/page/pageResponse/service/@name"/>
+			</xsl:attribute>
+			<xsl:variable name="documentTitleVar">
+				<gslib:documentTitle/>
+			</xsl:variable>
+			Document
+		</a>
+	</xsl:template>
 
 	<!-- the page content -->
@@ -45,6 +57,5 @@
 
 		<!-- display the document -->
-                <xsl:choose>
-
+		<xsl:choose>
 			<xsl:when test="@external != ''">
 				<xsl:call-template name="externalPage">
@@ -132,12 +143,18 @@
 
 	</xsl:template>
-  <xsl:template name="externalPage">
-    <xsl:param name="external"/>
-    <xsl:variable name="go_forward_link"><a><xsl:attribute name="href"><xsl:value-of select="$external"/></xsl:attribute><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'external.go_forward')"/></a></xsl:variable>
-    <h2><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'external.title')"/></h2>
-    <p><xsl:value-of select="util:getInterfaceTextWithDOM($interface_name, /page/@lang, 'external.text', $go_forward_link)" disable-output-escaping="yes"/>
-    </p>
-  </xsl:template>
-
+	
+	<xsl:template name="externalPage">
+		<xsl:param name="external"/>
+		<xsl:variable name="go_forward_link">
+			<a>
+				<xsl:attribute name="href">
+					<xsl:value-of select="$external"/>
+				</xsl:attribute>
+				<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'external.go_forward')"/>
+			</a>
+		</xsl:variable>
+		<h2><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'external.title')"/></h2>
+		<p><xsl:value-of select="util:getInterfaceTextWithDOM($interface_name, /page/@lang, 'external.text', $go_forward_link)" disable-output-escaping="yes"/></p>
+	</xsl:template>
 
 	<xsl:template match="/page"><xsl:apply-templates select="/page/pageResponse/document"/></xsl:template> <!-- this to be deleted eventually -->
